
%global meadversion 0.8.1
%global namedversion 0.8.1.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 6
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead
%bcond_with tests
%bcond_with extras

%{?scl:%scl_package cal10n}
%{!?scl:%global pkg_name %{name}}

%define maven_version 0.8.1.redhat-1

Name:           %{?scl_prefix}cal10n
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Compiler assisted localization library (CAL10N)
Group:          Development/Java

%if %with mead
Source100: cal10n-parent-0.8.1.redhat-1-scm-sources.zip
Source102: cal10n-site-0.8.1.redhat-1.pom
Source103: cal10n-site-0.8.1.redhat-1-sources.jar
Source104: cal10n-site-0.8.1.redhat-1.jar
Source105: cal10n-parent-0.8.1.redhat-1-project-sources.tar.gz
Source106: cal10n-parent-0.8.1.redhat-1-javadoc.jar
Source107: cal10n-parent-0.8.1.redhat-1.pom
Source108: maven-cal10n-plugin-smoke-0.8.1.redhat-1-javadoc.jar
Source109: maven-cal10n-plugin-smoke-0.8.1.redhat-1.pom
Source110: maven-cal10n-plugin-smoke-0.8.1.redhat-1-sources.jar
Source111: maven-cal10n-plugin-smoke-0.8.1.redhat-1.jar
Source112: maven-cal10n-plugin-0.8.1.redhat-1-sources.jar
Source113: maven-cal10n-plugin-0.8.1.redhat-1.pom
Source114: maven-cal10n-plugin-0.8.1.redhat-1.jar
Source115: maven-cal10n-plugin-0.8.1.redhat-1-javadoc.jar
Source116: cal10n-api-0.8.1.redhat-1-sources.jar
Source117: cal10n-api-0.8.1.redhat-1-javadoc.jar
Source118: cal10n-api-0.8.1.redhat-1.jar
Source119: cal10n-api-0.8.1.redhat-1-tests.jar
Source120: cal10n-api-0.8.1.redhat-1.pom
%endif

License:        MIT
URL:            http://cal10n.qos.ch
Provides:       %{?scl_prefix}cal10n-api = %{epoch}:%{version}-%{release}
%if %with extras
Provides:       %{?scl_prefix}cal10n-site = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}/maven-cal10n-plugin-smoke = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}/maven-cal10n-plugin = %{epoch}:%{version}-%{release}
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Compiler assisted localization library (CAL10N).

%if %with javadoc
%package javadoc
Summary:        Javadoc for cal10n
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n cal10n -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/cal10n-api-%{namedversion}.jar %{buildroot}%{_javadir}/cal10n-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cal10n-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cal10n-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cal10n-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cal10n-api-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/cal10n-api-%{namedversion}-tests.jar %{buildroot}%{_javadir}/cal10n-api-%{namedversion}-tests.jar
%endif
%if %with extras
%{__cp} -p %{_sourcedir}/cal10n-site-%{namedversion}.jar %{buildroot}%{_javadir}/cal10n-site-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/cal10n-site-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cal10n-site-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/maven-cal10n-plugin-%{namedversion}.jar %{buildroot}%{_javadir}/maven-cal10n-plugin-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/maven-cal10n-plugin-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/maven-cal10n-plugin-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/maven-cal10n-plugin-%{namedversion}-sources.jar %{buildroot}%{_javadir}/maven-cal10n-plugin-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/maven-cal10n-plugin-smoke-%{namedversion}.jar %{buildroot}%{_javadir}/maven-cal10n-plugin-smoke-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/maven-cal10n-plugin-smoke-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/maven-cal10n-plugin-smoke-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/maven-cal10n-plugin-smoke-%{namedversion}-sources.jar %{buildroot}%{_javadir}/maven-cal10n-plugin-smoke-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/maven-cal10n-plugin-smoke-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/maven-cal10n-plugin-smoke-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/maven-cal10n-plugin-smoke-%{namedversion} -x META-INF/\*
%{__ln_s} maven-cal10n-plugin-smoke-%{namedversion} %{buildroot}%{_javadocdir}/maven-cal10n-plugin-smoke
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/cal10n-api-%{namedversion}.jar
%{_javadir}/cal10n-api.jar
%if %with javadoc
%{_javadir}/cal10n-api-%{namedversion}-javadoc.jar
%{_javadir}/cal10n-api-javadoc.jar
%endif
%{_javadir}/cal10n-api-%{namedversion}-sources.jar
%{_javadir}/cal10n-api-sources.jar
%if %with tests
%{_javadir}/cal10n-api-%{namedversion}-tests.jar
%{_javadir}/cal10n-api-tests.jar
%endif
%if %with extras
%{_javadir}/cal10n-site-%{namedversion}.jar
%{_javadir}/cal10n-site.jar
%{_javadir}/cal10n-site-%{namedversion}-sources.jar
%{_javadir}/cal10n-site-sources.jar
%{_javadir}/maven-cal10n-plugin-%{namedversion}.jar
%{_javadir}/maven-cal10n-plugin.jar
%if %with javadoc
%{_javadir}/maven-cal10n-plugin-%{namedversion}-javadoc.jar
%{_javadir}/maven-cal10n-plugin-javadoc.jar
%endif
%{_javadir}/maven-cal10n-plugin-%{namedversion}-sources.jar
%{_javadir}/maven-cal10n-plugin-sources.jar
%{_javadir}/maven-cal10n-plugin-smoke-%{namedversion}.jar
%{_javadir}/maven-cal10n-plugin-smoke.jar
%if %with javadoc
%{_javadir}/maven-cal10n-plugin-smoke-%{namedversion}-javadoc.jar
%{_javadir}/maven-cal10n-plugin-smoke-javadoc.jar
%endif
%{_javadir}/maven-cal10n-plugin-smoke-%{namedversion}-sources.jar
%{_javadir}/maven-cal10n-plugin-smoke-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/cal10n-parent-%{namedversion}
%{_javadocdir}/cal10n-parent
%endif

%changelog
* Fri Jul 06 2018 Yong Yang <yyang@redhat.com> - 0.8.1-6.redhat_1.1
- Rewrap for 7.2.0

* Thu Apr 30 2015 David Walluck <dwalluck@redhat.com> - 0.8.1-1.redhat_1.1
- rebuild to fix version

* Tue Apr 28 2015 David Walluck <dwalluck@redhat.com> - 0.8-1.1.2
- build for EAP 7

